Bug 822317 - bdflush(2) is obsolete
Summary: bdflush(2) is obsolete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: man-pages
Version: 6.4
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Peter Schiffer
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-17 04:02 UTC by Kazuo Moriwaka
Modified: 2013-02-21 10:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: bdflush(2) system call manual page is missing information that this system call is obsolete Consequence: incomplete documentation Fix: add note to the bdflush(2) manual page that this system call is obsolete Result: proper documentation
Clone Of:
Environment:
Last Closed: 2013-02-21 10:45:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 43252 None None None Never
Red Hat Product Errata RHBA-2013:0447 normal SHIPPED_LIVE man-pages bug fix and enhancement update 2013-02-20 20:47:52 UTC

Description Kazuo Moriwaka 2012-05-17 04:02:03 UTC
Description of problem:

bdflush(2) is obsolete syscall, but bdflush(2) and syscalls(2) don't have 
description for this status.  This may cause useless testing especially at performance tuning.

Version-Release number of selected component (if applicable):
all

How reproducible:
always
  
Expected results:

DESCRIPTION or NOTES have statement to describe that
bdflush(2) syscall is obsoleted and ignored now.

Additional info:
I reported man-pages upstream project, too.
https://bugzilla.kernel.org/show_bug.cgi?id=43252

Comment 7 errata-xmlrpc 2013-02-21 10:45:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0447.html


Note You need to log in before you can comment on or make changes to this bug.